=== modified file 'push-helper.apparmor'
--- push-helper.apparmor	2014-12-08 10:25:48 +0000
+++ push-helper.apparmor	2015-09-10 20:54:15 +0000
@@ -7,5 +7,5 @@
         "calendar",
         "webview"
     ],
-    "policy_version": 1.2
+    "policy_version": 1.3
 }

=== renamed file 'src/app/qml/components/Header.qml' => 'src/app/qml/components/NoteHeader.qml'
=== modified file 'src/app/qml/reminders.qml'
--- src/app/qml/reminders.qml	2015-07-25 03:01:39 +0000
+++ src/app/qml/reminders.qml	2015-09-10 20:54:15 +0000
@@ -27,6 +27,7 @@
 import Ubuntu.OnlineAccounts.Client 0.1
 import Ubuntu.PushNotifications 0.1
 import Ubuntu.Content 1.0
+import com.canonical.Oxide 1.5
 import "components"
 import "ui"
 
@@ -488,6 +489,21 @@
         }
     }
 
+    // FIXME: This is currently located here so it is always ready
+    // when we're constructing a WebView. Due to bug
+    // https://bugs.launchpad.net/oxide/+bug/1471779
+    // there's a race condition when creating both at the same time
+    WebContext {
+        id: webContext
+
+        userScripts: [
+            UserScript {
+                context: 'reminders://interaction'
+                url: Qt.resolvedUrl("ui/reminders-scripts.js");
+            }
+        ]
+    }
+
     Column {
         id: statusBar
         anchors { left: parent.left; right: parent.right; top: parent.top; topMargin: units.gu(6)}

=== modified file 'src/app/qml/ui/EditNoteView.qml'
--- src/app/qml/ui/EditNoteView.qml	2015-07-25 01:52:22 +0000
+++ src/app/qml/ui/EditNoteView.qml	2015-09-10 20:54:15 +0000
@@ -131,7 +131,7 @@
                      width: parent.width
                      height: childrenRect.height
 
-                     Header {
+                     NoteHeader {
                         id: header
                         note: root.note
 

=== modified file 'src/app/qml/ui/NoteView.qml'
--- src/app/qml/ui/NoteView.qml	2015-07-25 01:52:22 +0000
+++ src/app/qml/ui/NoteView.qml	2015-09-10 20:54:15 +0000
@@ -39,17 +39,6 @@
         z: 10
     }
 
-    WebContext {
-        id: webContext
-
-        userScripts: [
-            UserScript {
-                context: 'reminders://interaction'
-                url: Qt.resolvedUrl("reminders-scripts.js");
-            }
-        ]
-    }
-
     Rectangle {
         id: locationBar
         y: noteTextArea.locationBarController.offset
@@ -59,7 +48,7 @@
         color: "white"
         z: 2
 
-        Header {
+        NoteHeader {
             id: headerContent
             note: root.note
             editingEnabled: false

